Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Update memories

POST /memory_stores/{name}:update_memories

Starts an update that writes conversation memories into the specified memory store. The operation returns a long-running status location for polling the update result.

Parámetros de encabezado

Foundry-Features enum requerido

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Parámetros de la ruta de acceso

name string requerido

The name of the memory store to update.

Parámetros de consulta

api-version string requerido

The API version to use for this operation.

Cuerpo de la solicitud

Content-Type: application/json
scope string requerido

The namespace that logically groups and isolates memories, such as a user ID.

items OpenAI.InputItem[]

Conversation items to be stored in memory.

previous_update_id string

The unique ID of the previous update request, enabling incremental memory updates from where the last operation left off.

update_delay integer

Timeout period before processing the memory update in seconds. If a new update request is received during this period, it will cancel the current request and reset the timeout. Set to 0 to immediately trigger the update without delay. Defaults to 300 (5 minutes).

Respuestas

The request has been accepted for processing, but processing has not yet completed.

Encabezados

Operation-Location string requerido

The location for monitoring the operation state.

Cuerpo

Content-Type: application/json
update_id string requerido

The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.

status string | enum requerido

Status of a memory store update operation.

Cualquiera de las siguientes:
string
enum
queuedin_progresscompletedfailedsuperseded
superseded_by string

The update_id the operation was superseded by when status is "superseded".

result MemoryStoreUpdateCompletedResult

Memory update result.

memory_operations MemoryOperation[] requerido

A list of individual memory operations that were performed during the update.

usage MemoryStoreOperationUsage requerido

Usage statistics of a memory store operation.

embedding_tokens integer requerido

The number of embedding tokens.

input_tokens integer requerido
input_tokens_details OpenAI.ResponseUsageInputTokensDetails requerido
cached_tokens integer requerido
cache_write_tokens integer requerido
output_tokens integer requerido
output_tokens_details OpenAI.ResponseUsageOutputTokensDetails requerido
reasoning_tokens integer requerido
total_tokens integer requerido
error OpenAI.Error
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Client error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Solicitar

POST /memory_stores/{name}:update_memories HTTP/1.1

Respuesta

Status: 202
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026